<?php
/**
 * Performs all sanitization functions required to save the option values to
 * the database.
 *
 * @package pechka54
 */

/**
 * Performs all sanitization functions required to save the option values to
 * the database.
 *
 * This will also check the specified nonce and verify that the current user has
 * permission to save the data.
 *
 * @package pechka54
 */
class Serializer
{
    public function init()
    {
        add_action('admin_post', array($this, 'save'));
    }

    public function save()
    {

        // First, validate the nonce.
        // Secondly, verify the user has permission to save.
        // If the above are valid, save the option.

    }
}
